function [d] = NWCT_N(c1, c2, mu, sd)

p1 = normcdf(c1, mu(1), sd(1));
p2 = normcdf(c2, mu(2), sd(2)) - normcdf(c1, mu(2), sd(2));
h = length(mu) - 2;

one = norminv(p1, mu(1), sd(1));
two = normcdf(one, mu(2), sd(2)) + p2;
three = norminv(two, mu(2), sd(2));

muKeep = mu(3:length(mu));
sdKeep = sd(3:length(sd));

roc_p3 = 1 - clumpNormCDF(three, muKeep, sdKeep);

d = sqrt(((1 - p1)^2) + ((1 - p2)^2) + ((1 - roc_p3)^2));

end