function [vus, img] = TROC_N_PLOT(mu, sd)

vus = VUS_N(mu, sd);

t = 0:0.0005:1;
    
[F1mat, F2mat] = meshgrid(t, t);
    
F1vec = F1mat(:);
F2vec = F2mat(:);
    
one = norminv(F1vec, mu(1), sd(1));
two = normcdf(one, mu(2), sd(2)) + F2vec;
three = norminv(two, mu(2), sd(2));

if length(mu) == 3
    F3vec = 1 - clumpNormCDF(three, mu(3), sd(3));
elseif length(mu) == 4
    F3vec = 1 - clumpNormCDF(three, [mu(3) mu(4)], [sd(3) sd(4)]);
elseif length(mu) == 5
    F3vec = 1 - clumpNormCDF(three, [mu(3) mu(4) mu(5)], [sd(3) sd(4) sd(5)]);
elseif length(mu) == 6
    F3vec = 1 - clumpNormCDF(three, [mu(3) mu(4) mu(5) mu(6)], [sd(3) sd(4) sd(5) sd(6)]);
end
    
F1mat2 = reshape(F1vec, length(t), length(t));
F3mat2 = reshape(F3vec, length(t), length(t));
F2mat2 = reshape(F2vec, length(t), length(t));
    
F2mat2(F2mat2 < 0) = NaN;

img = surf(F1mat2, F2mat2, F3mat2, 'EdgeColor', 'none');
xlabel('TTCF1')
ylabel('TTCF2')
zlabel('TTCFZ')
    
end