function [J, p1, p2, unin_p3, roc_p3] = YI_N2(c1, c2, mu, sd, tweak)

p1 = normcdf(c1, mu(1), sd(1));
p2 = normcdf(c2, mu(2), sd(2)) - normcdf(c1, mu(2), sd(2));
h = length(mu) - 2;

one = norminv(p1, mu(1), sd(1));
two = normcdf(one, mu(2), sd(2)) + p2;
three = norminv(two, mu(2), sd(2));

muKeep = mu(3:length(mu));
sdKeep = sd(3:length(sd));

roc_p3 = 1 - clumpNormCDF(three, muKeep, sdKeep);

close all;
val = 1 - p1 - p2;

if tweak == 0
    unin_p3 = 1 - p1 - p2;
    
elseif tweak == 1
    
    if isnan(p1) || isnan(p2) || p1 < 0 || p2 < 0
        unin_p3 = NaN;
    else 
        if val >= 0
            unin_p3 = (1 - p1 - p2)^h;
        elseif val < 0
            unin_p3 = ((1 - p1 - p2)^h) * ((-1)^(h-1));
        end
    end
end

J = abs(roc_p3 - unin_p3);

end