function [out] = clumpNormCDF(zIn, mu, sd)

if length(mu) ~= length(sd)   
    fprintf("ERROR: Length of mean and SD vectors must be equal.")

else
    
    z = (min(mu)-(5*max(sd))):0.001:(max(mu)+(5*max(sd)));
    y = repelem(1, length(z));
    
    for i = 1:length(mu)
        y = y .* (1 - normcdf(z, mu(i), sd(i)));
    end
    y = 1 - y;
end

zOut = 1;

    for i = 1:length(mu)
        zOut = zOut .* (1 - normcdf(zIn, mu(i), sd(i)));  
    end
    
    out = 1 - zOut;

% plot(z, y); hold on; plot(zIn, out, 'or', 'LineWidth', 2)
    
end

