function [out] = lambda_profile_LL_4grp(X1, X2, X3, X4, L)

n1 = length(X1);
n2 = length(X2);
n3 = length(X3);
n4 = length(X4);

if L == 0
    x1_bc = log(X1);
    x2_bc = log(X2);
    x3_bc = log(X3);
    x4_bc = log(X4);
end

if L ~= 0
    x1_bc = ((X1.^L) - 1) / L;
    x2_bc = ((X2.^L) - 1) / L;
    x3_bc = ((X3.^L) - 1) / L;
    x4_bc = ((X4.^L) - 1) / L;
end

l_lambda_one = -(n1/2) .* log((1/n1) .* sum((x1_bc - mean(x1_bc)) .^ 2));
l_lambda_two = -(n2/2) .* log((1/n2) .* sum((x2_bc - mean(x2_bc)) .^ 2));
l_lambda_three = -(n3/2) .* log((1/n3) .* sum((x3_bc - mean(x3_bc)) .^ 2));
l_lambda_four = -(n4/2) .* log((1/n4) .* sum((x4_bc - mean(x4_bc)) .^ 2));
l_lambda_five = (L-1) .* (sum(log(X1)) + sum(log(X2)) + sum(log(X3)) + sum(log(X4)));

out = l_lambda_one + l_lambda_two + l_lambda_three + l_lambda_four + l_lambda_five;
    
end

